Bug 1931964 (CVE-2021-3407) - CVE-2021-3407 mupdf: Double free of object during linearization
Summary: CVE-2021-3407 mupdf: Double free of object during linearization
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2021-3407
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1931965
Blocks: 1927000
TreeView+ depends on / blocked
 
Reported: 2021-02-23 16:36 UTC by Pedro Sampaio
Modified: 2021-03-26 13:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-23 19:02:04 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-02-23 16:36:52 UTC
A flaw was found in mupdf 1.18.0. Double free of object during linearization may lead to memory corruption and other potential consequences.

Upstream fix:

http://git.ghostscript.com/?p=mupdf.git;h=cee7cefc610d42fd383b3c80c12cbc675443176a

Comment 1 Pedro Sampaio 2021-02-23 16:37:34 UTC
Created mupdf tracking bugs for this issue:

Affects: fedora-all [bug 1931965]

Comment 2 Product Security DevOps Team 2021-02-23 19:02:04 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 3 Fedora Update System 2021-02-25 10:16:02 UTC
FEDORA-2021-f34c2eaad6 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-03-05 19:16:12 UTC
FEDORA-2021-572bb0f886 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-03-05 19:23:27 UTC
FEDORA-2021-d8e6f014e5 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-03-19 17:37:57 UTC
FEDORA-2021-baeaa7bccb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-03-19 19:55:29 UTC
FEDORA-2021-baeaa7bccb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.